Skip to main content
GET
/
identity
/
v1
/
departments
/
{departmentId}
Gets a department by ID.
curl --request GET \
  --url https://api.sandbox.tesouro.com/identity/v1/departments/{departmentId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdDateTime": "2023-11-07T05:31:56Z",
  "members": {
    "data": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "createdDateTime": "2023-11-07T05:31:56Z",
        "email": "<string>",
        "name": "<string>",
        "status": "<string>",
        "jobTitle": "<string>",
        "lastLoggedInDateTime": "2023-11-07T05:31:56Z"
      }
    ],
    "nextPaginationToken": "<string>",
    "prevPaginationToken": "<string>"
  },
  "name": "<string>",
  "updatedDateTime": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

departmentId
string<uuid>
required

The ID of the department.

Query Parameters

limit
default:25

Maximum number of members to return.

paginationToken
string

Opaque pagination token from a previous response.

Response

Returns the department.

id
string<uuid>
required
createdDateTime
string<date-time>
required
members
object
required

A paginated response containing a page of results and navigation tokens.

name
string
required
updatedDateTime
string<date-time>
required